org.keycloak.models.cache.infinispan.authorization.entities

## Class CachedResource

- java.lang.Object
- - org.keycloak.models.cache.infinispan.entities.AbstractRevisioned
  - - org.keycloak.models.cache.infinispan.authorization.entities.CachedResource

- All Implemented Interfaces:
    Serializable, CachedObject, InResourceServer, Revisioned

      public class CachedResource
      extends AbstractRevisioned
      implements InResourceServer

  Author:
    Pedro Igor
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedResource(Long revision, Resource resource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,List<String>>` | `getAttributes(Supplier<Resource> source)`
    `String` | `getDisplayName()`
    `String` | `getIconUri()`
    `String` | `getName()`
    `String` | `getOwner()`
    `String` | `getResourceServerId()`
    `Set<String>` | `getScopesIds(Supplier<Resource> source)`
    `String` | `getType()`
    `Set<String>` | `getUris(Supplier<Resource> source)`
    `boolean` | `isOwnerManagedAccess()`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.entities.AbstractRevisioned

      `getCacheTimestamp, getId, getRevision, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachedResource

          public CachedResource(Long revision,
                                Resource resource)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getDisplayName

          public String getDisplayName()

    - #### getUris

          public Set<String> getUris(Supplier<Resource> source)

    - #### getType

          public String getType()

    - #### getIconUri

          public String getIconUri()

    - #### getOwner

          public String getOwner()

    - #### isOwnerManagedAccess

          public boolean isOwnerManagedAccess()

    - #### getResourceServerId

          public String getResourceServerId()

      Specified by:
        `getResourceServerId` in interface `InResourceServer`

    - #### getScopesIds

          public Set<String> getScopesIds(Supplier<Resource> source)

    - #### getAttributes

          public Map<String,List<String>> getAttributes(Supplier<Resource> source)

Copyright © 2021 JBoss by Red Hat. All rights reserved.